nxt.shuffling

## Class ShufflingParticipantHome

- java.lang.Object
- - nxt.shuffling.ShufflingParticipantHome

-     public final class ShufflingParticipantHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShufflingParticipantHome.Event`
    `class` | `ShufflingParticipantHome.ShufflingParticipant`
    `static class` | `ShufflingParticipantHome.State`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<ShufflingParticipantHome.ShufflingParticipant> listener, ShufflingParticipantHome.Event eventType)`
    `static ShufflingParticipantHome` | `forChain(ChildChain childChain)`
    `byte[][]` | `getData(byte[] shufflingFullHash, long accountId)`
    `ShufflingParticipantHome.ShufflingParticipant` | `getParticipant(byte[] shufflingFullHash, long accountId)`
    `DbIterator<ShufflingParticipantHome.ShufflingParticipant>` | `getParticipants(byte[] shufflingFullHash)`
    `static boolean` | `removeListener(Listener<ShufflingParticipantHome.ShufflingParticipant> listener, ShufflingParticipantHome.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static ShufflingParticipantHome forChain(ChildChain childChain)

    - #### addListener

          public static boolean addListener(Listener<ShufflingParticipantHome.ShufflingParticipant> listener,
                                            ShufflingParticipantHome.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<ShufflingParticipantHome.ShufflingParticipant> listener,
                                               ShufflingParticipantHome.Event eventType)

    - #### getParticipants

          public DbIterator<ShufflingParticipantHome.ShufflingParticipant> getParticipants(byte[] shufflingFullHash)

    - #### getParticipant

          public ShufflingParticipantHome.ShufflingParticipant getParticipant(byte[] shufflingFullHash,
                                                                              long accountId)

    - #### getData

          public byte[][] getData(byte[] shufflingFullHash,
                                  long accountId)